package cn.timer.api.controller.extension;

import cn.timer.api.aspect.lang.annotation.Log;
import cn.timer.api.aspect.lang.enums.BusinessType;
import cn.timer.api.bean.extension.ExtensionCompany;
import cn.timer.api.bean.extension.JobPositions;
import cn.timer.api.bean.qyzx.QyzxEmpLogin;
import cn.timer.api.bean.zzgl.ZzglAuth;
import cn.timer.api.bean.zzgl.ZzglBmgwM;
import cn.timer.api.config.enums.SysRoleType;
import cn.timer.api.dto.login.QysDto;
import cn.timer.api.utils.ExtensionResult;
import cn.timer.api.utils.ExtensionResultUtil;
import cn.timer.api.utils.ResultUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import java.util.ArrayList;
import java.util.List;
import java.util.stream.Stream;

/**
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021/12/13
 */
@RestController
@Api(tags = "1.0简历助手登陆")
@Transactional
@RequestMapping(value = "/api/recruitment", produces = { "application/json" })
public class ExtensionLoginController {


	@Autowired
	private HttpSession session;

	@Resource
	private HttpServletRequest httpServletRequest;
	/**
	 * token令牌获取企业信息，绑定企业
	 *
	 * @param token
	 * @return
	 */
	@GetMapping(value = "/api/resume_assistant/valid_token")
	@ApiOperation(value = "1.token令牌获取企业信息，绑定企业", httpMethod = "GET", notes = "接口发布说明")
	@ApiOperationSupport(order = 1)
	@Log(title = "token令牌获取企业信息，绑定企业", businessType = BusinessType.OTHER)
	public ExtensionResult valid_token(@RequestParam("token") String token) {
		session.setAttribute("ui", token);
		ExtensionCompany entity = new ExtensionCompany();
		entity.setValid(Boolean.TRUE);
		entity.setCompany_name("广东优领科技服务有限公司");
		return ExtensionResultUtil.data(entity);
	}
	/**
	 * token令牌获取在招职位数据
	 * @return
	 */
	@GetMapping(value = "/api/resume_assistant/job_positions")
	@ApiOperation(value = "2.token令牌获取企业信息，绑定企业", httpMethod = "GET", notes = "接口发布说明")
	@ApiOperationSupport(order = 2)
	@Log(title = "token令牌获取企业信息，绑定企业", businessType = BusinessType.OTHER)
	public ExtensionResult job_positions() {
		String token = "",version="";
		if (StringUtils.isEmpty(httpServletRequest.getHeader("accesstoken"))) {
			token = httpServletRequest.getHeader("accesstoken");
		}
		if(StringUtils.isEmpty(httpServletRequest.getHeader("assistant_version"))){
			version = httpServletRequest.getHeader("assistant_version");
		}
		List<JobPositions> list = new ArrayList<>();
		JobPositions entity = new JobPositions();
		entity.setId("c2206616-ff93-4a9a-b03c-770c58339bae");
		entity.setCity_name("广州");
		entity.setDep_id("58782bf9-3dd6-4bfa-8f00-efd87576a572");
		entity.setDep_name("企划部");
		entity.setName("程序员");
		entity.setProvince_name("广东");
		entity.setStatus(1);
		entity.setTown_name("白云区");
		entity.setWork_place_name("A写字楼");
		list.add(entity);
		return ExtensionResultUtil.data(list);
	}
	/**
	 * 获取配置信息
	 * @return
	 */
	@GetMapping(value = "/api/resume_assistant/config_v2")
	@ApiOperation(value = "3.获取配置信息", httpMethod = "GET", notes = "接口发布说明")
	@ApiOperationSupport(order = 3)
	@Log(title = "获取配置信息", businessType = BusinessType.OTHER)
	public ExtensionResult config_v2(@RequestParam("type") String type) {
		String token = "",version="";
		if (StringUtils.isEmpty(httpServletRequest.getHeader("accesstoken"))) {
			token = httpServletRequest.getHeader("accesstoken");
		}
		if(StringUtils.isEmpty(httpServletRequest.getHeader("assistant_version"))){
			version = httpServletRequest.getHeader("assistant_version");
		}
		List<JobPositions> list = new ArrayList<>();
		JobPositions entity = new JobPositions();
		entity.setId("c2206616-ff93-4a9a-b03c-770c58339bae");
		entity.setCity_name("广州");
		entity.setDep_id("58782bf9-3dd6-4bfa-8f00-efd87576a572");
		entity.setDep_name("企划部");
		entity.setName("程序员");
		entity.setProvince_name("广东");
		entity.setStatus(1);
		entity.setTown_name("白云区");
		entity.setWork_place_name("A写字楼");
		list.add(entity);
		return ExtensionResultUtil.data(list);
	}
}
